<?php
/**
* @package         Template Overrides 
* @based on        Template Overrides YOOtheme
* @modification  Joomez.com
* @copyright       Copyright (C) 2007 - 2009 YOOtheme GmbH
* @license           http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$canEdit	= ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));
?>
	
	<div class="article <?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	
		<?php if ($this->params->get('show_page_title', 1) && $this->params->get('page_title') != $this->article->title) : ?>
		<h1 class="pagetitle">
			<?php echo $this->escape($this->params->get('page_title')); ?>
		</h1>
		<?php endif; ?>
		
		<?php if ($canEdit || $this->params->get('show_title') || $this->params->get('show_pdf_icon') || $this->params->get('show_print_icon') || $this->params->get('show_email_icon')) : ?>
		<div class="headline">
		
			<?php if ($this->params->get('show_title')) : ?>
			<h1 class="title"><?php echo $this->escape($this->article->title); ?></h1>
			<?php endif; ?>
			
				<p class="articleinfo">
				<?php if (($this->params->get('show_section') && $this->article->sectionid) || ($this->params->get('show_category') && $this->article->catid)) : ?>

			<?php if ($this->params->get('show_section') && $this->article->sectionid && isset($this->article->section)) : ?>
			<span class="section">
				<?php if ($this->params->get('link_section')) : ?>
					<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->article->sectionid)).'">'; ?>
				<?php endif; ?>
				<?php echo $this->escape($this->article->section); ?>
				<?php if ($this->params->get('link_section')) : ?>
					<?php echo '</a>'; ?>
				<?php endif; ?>
				<?php if ($this->params->get('show_category')) : ?>
					<?php echo ' | '; ?>
				<?php endif; ?>
			</span>
			<?php endif; ?>
			<?php if ($this->params->get('show_category') && $this->article->catid) : ?>
			<span class="category">
				<?php if ($this->params->get('link_category')) : ?>
					<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->article->catslug, $this->article->sectionid)).'">'; ?>
				<?php endif; ?>
				<?php echo $this->escape($this->article->category); ?>
				<?php if ($this->params->get('link_category')) : ?>
					<?php echo '</a>'; ?>
				<?php endif; ?>
			 				<?php if ($this->params->get('show_category')) : ?>
					<?php echo ' | '; ?>
				<?php endif; ?>
				</span>
			<?php endif; ?>

		<?php endif; ?>
	
		<?php if ($this->params->get('show_create_date') ||
		(intval($this->article->modified) !=0 && $this->params->get('show_modify_date')) ||
		($this->params->get('show_author') && ($this->article->author != "")) ||
		($this->params->get('show_url') && $this->article->urls)) : ?>
		
			<?php if ($this->params->get('show_create_date')) : ?>
			<span class="created">
				<?php echo JHTML::_('date', $this->article->created, JText::_('DATE_FORMAT_LC2')) ?>
			</span>
			<?php endif; ?>
		
			<?php if ($this->params->get('show_author') && ($this->article->author != "")) : ?>
			<span class="author">
				<?php JText::printf( 'Written by', ($this->escape($this->article->created_by_alias) ? $this->escape($this->article->created_by_alias) : $this->escape($this->article->author)) ); ?>
			</span>
			<?php endif; ?>
			
			<?php if ($this->params->get('show_url') && $this->article->urls) : ?>
			<span class="url">
				<a href="http://<?php echo $this->article->urls ; ?>" target="_blank"><?php echo $this->escape($this->article->urls); ?></a>
			</span>
			<?php endif; ?>
		
		</p>
		<?php endif; ?>
			
		</div>
		<?php endif; ?>
	
		<?php  if (!$this->params->get('show_intro')) :
			echo $this->article->event->afterDisplayTitle;
		endif; ?>
		
		<?php echo $this->article->event->beforeDisplayContent; ?>
	
		
		<?php if (isset ($this->article->toc)) : ?>
			<?php echo $this->article->toc; ?>
		<?php endif; ?>
		
		<?php echo $this->article->text; ?>

<p id="buttons">
			<?php if (!$this->print) : ?>
			
				<?php if ($canEdit) : ?>
				<span class="icon edit">
					<?php echo JHTML::_('icon.edit', $this->article, $this->params, $this->access); ?>
				</span>
				<?php endif; ?>
			
				<?php if ($this->params->get('show_email_icon')) : ?>
				<span class="icon email">
					<?php echo JHTML::_('icon.email',  $this->article, $this->params, $this->access); ?>
				</span>
				<?php endif; ?>
			
				<?php if ( $this->params->get( 'show_print_icon' )) : ?>
				<span class="icon print">
					<?php echo JHTML::_('icon.print_popup',  $this->article, $this->params, $this->access); ?>
				</span>
				<?php endif; ?>
			
				<?php if ($this->params->get('show_pdf_icon')) : ?>
				<span class="icon pdf">
					<?php echo JHTML::_('icon.pdf',  $this->article, $this->params, $this->access); ?>
				</span>
				<?php endif; ?>
	
			<?php else : ?>
			
				<span class="icon printscreen">
					<?php echo JHTML::_('icon.print_screen',  $this->article, $this->params, $this->access); ?>
				</span>
				
			<?php endif; ?>
</p>
		
		<?php echo $this->article->event->afterDisplayContent; ?>
	
</div>